package impl

import (
	"ai_scheduler/internal/data/model"
	"ai_scheduler/tmpl/dataTemp"
	"ai_scheduler/utils"
)

type AdviceProjectImpl struct {
	dataTemp.DataTemp
	BaseRepository[model.AiTask]
}

func NewAdviceProjectImpl(db *utils.Db) *AdviceProjectImpl {
	return &AdviceProjectImpl{
		DataTemp: *dataTemp.NewDataTemp(db, new(model.AiAdviceProject)),
	}
}
